# Gtk::CellAreaContext Class Reference

A class representing an adjustable bounded value. More...

Inheritance diagram for Gtk::CellAreaContext:
[legend]
Collaboration diagram for Gtk::CellAreaContext:
[legend]

List of all members.

## Public Member Functions

virtual | ~CellAreaContext ()
GtkCellAreaContext* | gobj ()
| Provides access to the underlying C GObject.
const GtkCellAreaContext* | gobj () const
| Provides access to the underlying C GObject.
GtkCellAreaContext* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::RefPtr< CellArea > | get_area ()
Glib::RefPtr< const CellArea > | get_area () const
void | allocate (int width, int height)
void | reset ()
void | get_preferred_width (int& minimum_width, int& natural_width) const
void | get_preferred_height (int& minimum_height, int& natural_height) const
void | get_preferred_height_for_width (int width, int& minimum_height, int& natural_height) const
void | get_preferred_width_for_height (int height, int& minimum_width, int& natural_width) const
void | get_allocation (int& width, int& height) const
void | push_preferred_width (int minimum_width, int natural_width)
void | push_preferred_height (int minimum_height, int natural_height)

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr < Gtk::CellAreaContext > | wrap (GtkCellAreaContext* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A class representing an adjustable bounded value.

The Gtk::CellAreaContext object represents a value which has an associated lower and upper bound, together with step and page increments, and a page size. It is used within several gtkmm widgets, including Gtk::SpinButton, Gtk::Viewport, and Gtk::Range (which is a base class for Gtk::HScrollbar, Gtk::VScrollbar, Gtk::HScale, and Gtk::VScale).

The Gtk::CellAreaContext object does not update the value itself. Instead it is left up to the owner of the Gtk::CellAreaContext to control the value.

The owner of the Gtk::CellAreaContext typically calls the value_changed() and changed() functions after changing the value and its bounds. This results in the emission of the "value_changed" or "changed" signal respectively.

## Constructor & Destructor Documentation

virtual Gtk::CellAreaContext::~CellAreaContext | ( | ) | `[virtual]`

## Member Function Documentation

void Gtk::CellAreaContext::allocate | ( | int | width,
|  | int | height
| ) |  |

void Gtk::CellAreaContext::get_allocation | ( | int & | width,
|  | int & | height
| ) |  | const

Glib::RefPtr<const CellArea> Gtk::CellAreaContext::get_area | ( | ) | const

Glib::RefPtr<CellArea> Gtk::CellAreaContext::get_area | ( | ) |

void Gtk::CellAreaContext::get_preferred_height | ( | int & | minimum_height,
|  | int & | natural_height
| ) |  | const

void Gtk::CellAreaContext::get_preferred_height_for_width | ( | int | width,
|  | int & | minimum_height,
|  | int & | natural_height
| ) |  | const

void Gtk::CellAreaContext::get_preferred_width | ( | int & | minimum_width,
|  | int & | natural_width
| ) |  | const

void Gtk::CellAreaContext::get_preferred_width_for_height | ( | int | height,
|  | int & | minimum_width,
|  | int & | natural_width
| ) |  | const

const GtkCellAreaContext* Gtk::CellAreaContext::gobj | ( | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

GtkCellAreaContext* Gtk::CellAreaContext::gobj | ( | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

GtkCellAreaContext* Gtk::CellAreaContext::gobj_copy | ( | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

void Gtk::CellAreaContext::push_preferred_height | ( | int | minimum_height,
|  | int | natural_height
| ) |  |

void Gtk::CellAreaContext::push_preferred_width | ( | int | minimum_width,
|  | int | natural_width
| ) |  |

void Gtk::CellAreaContext::reset | ( | ) |

## Friends And Related Function Documentation

Glib::RefPtr< Gtk::CellAreaContext > wrap | ( | GtkCellAreaContext * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/cellareacontext.h